package com.izouma.awesomeadmin.service;


import com.izouma.awesomeadmin.dto.Page;
import com.izouma.awesomeadmin.model.PowerInfo;

import java.util.List;

/**
 * power_info service接口类
 * Wed Apr 11 11:04:02 CST 2018  Suo Chen Cheng
 */ 
public interface PowerInfoService {

	List<PowerInfo> getPowerInfoList(PowerInfo record);

	List<PowerInfo> getPowerInfoByPage(Page page, PowerInfo record);

	PowerInfo getPowerInfoById(String id);

	PowerInfo getPowerInfo(PowerInfo record);

	boolean createPowerInfo(PowerInfo record);

	boolean deletePowerInfo(String id);

	boolean updatePowerInfo(PowerInfo record);

	boolean deletePowerInfoByRoleId(String roleId);

}

